{% extends 'skeleton/base.html' %} {% load static %}
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta http-equiv="X-UA-Compatible" content="ie=edge" />
    <!-- Estilos -->
    <link rel="stylesheet" href="{% static 'css/help.css' %}" />
    {% block title %} <title>Lista de vendedores</title> {% endblock %}
  </head>
  <body>
    {% block manual %}

    <div class="manual-icon">
      <a href="#openModal"
        ><i class="fa fa-question-circle" aria-hidden="true"></i
      ></a>
    </div>
    <div id="openModal" class="modalDialog">
      <div class="container-manual">
        <a href="#close" title="Close" class="close">X</a>
        <h2>Manual de uso</h2>
        <p>
          Esta es la lista de vendedores. Desde aquí puede consultar los
          vendedores agregados previamente y, en caso de requerirlo, editar sus
          datos usando el ícono "Editar" de la lista ubicado al final de cada vendedor.
          <br />
          Si desea volver a la ventana Agregar vendedor, puede utilizar la
          opción "Registrar" ubicada en el menú superior.
        </p>
      </div>
    </div>
    {% endblock %} {% block content %} {% if request.user.is_authenticated %}
    <div class="container">
      {% if registered %}
      <div class="jumbotron">
        <h1 class="register-success">El vendedor ha sido registrado!</h1>
        <a href="#">
          <a class="nav-link" href="{% url 'base:logout' %}"
            >Volver a iniciar sesión</a
          >
        </a>
      </div>
      {% else %}
      <div class="container">
        <div class="row">
          <nav aria-label="breadcrumb" class="col-sm">
            <ol class="breadcrumb">
              <li class="breadcrumb-item" aria-current="page">
                <a href="{% url 'base:agregar_vendedor' %}">
                  Registrar
                </a>
              </li>
              <li class="breadcrumb-item active">
                Listar y editar
              </li>
            </ol>
          </nav>
        </div>
        <div class="row">
          <div id="title" class="col-sm-12">
            <h4>Listado</h4>
          </div>
          <div class="col-sm-12">
            <table id="myTable" class="table table-striped table-bordered">
              <thead class="thead-light">
                <tr>
                  <th>Rut</th>
                  <th>Nombre</th>
                  <th>Apellido paterno</th>
                  <th>Apellido materno</th>
                  <th>Fecha de nacimiento</th>
                  <th>Dirección</th>
                  <th>Teléfono</th>
                  <th>Opciones</th>
                </tr>
              </thead>
              <tbody>
                {% for s in sellers %}
                <tr>
                  <td>{{ s.rut}}</td>
                  <td>{{ s.names}}</td>
                  <td>{{ s.firstsurname}}</td>
                  <td>{{ s.lastsurname}}</td>
                  <td>{{ s.birthdate}}</td>
                  <td>{{ s.address}}</td>
                  <td>{{ s.phone_number}}</td>
                  <td>
                    <a
                    type="button"
                    class="btn btn-primary"
                    href="/edit_seller/{{ s.id }}"
                  >
                    <i
                      class="fa fa-pencil-square-o"
                      aria-hidden="true"
                      style="font-size: 20px;"
                    ></i>
                  </td>
                  {% endfor %}
                </tr>
              </tbody>
            </table>
          </div>
        </div>
      </div>
      {% endif %}
    </div>
    {% endif %} {% endblock content %}
  </body>
</html>
